REST APIWallet & TransactTransaction request

DEL

Delete signature shares on a transaction request.

Allows users to clear the signature shares on a transaction request. This will also set the state to pendingUserSignature. Use only with MPC wallets.

Path Params

  • walletId string required
    The wallet ID.

    matches ^[0-9a-f]{32}$

  • id string required

    matches ^[0-9a-f]{32}$

Responses

200
OK

Response Body

array of objects

  • from string enum required
    The source of the signature share.
    userbackupbitgo
  • to string enum required
    The recipient of the signature share.
    userbackupbitgo
  • share string required
    The signature share.
400
Bad Request

Response Body

object

  • error string required
    Human-readable error message
  • requestId string required
    Client request id
  • context object
    Properties that apply to a specific error name
  • name string required
    Error code
401
Unauthorized

Response Body

object

  • error string required
    Human-readable error message
  • requestId string required
    Client request id
  • context object
    Properties that apply to a specific error name
  • name string required
    Error code
403
Forbidden

Response Body

object

  • error string required
    Human-readable error message
  • requestId string required
    Client request id
  • context object
    Properties that apply to a specific error name
  • name string required
    Error code
404
Not Found

Response Body

object

  • error string required
    Human-readable error message
  • requestId string required
    Client request id
  • context object
    Properties that apply to a specific error name
  • name string required
    Error code